
From: Rusty Russell <rusty@rustcorp.com.au>

Makes mach_apic.h include inside #ifdef CONFIG_HOTPLUG_CPU.



---

 arch/i386/kernel/irq.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/irq.c~cpuhotplug-x86-up-fixes arch/i386/kernel/irq.c
--- 25/arch/i386/kernel/irq.c~cpuhotplug-x86-up-fixes	2004-02-01 11:29:47.000000000 -0800
+++ 25-akpm/arch/i386/kernel/irq.c	2004-02-01 11:29:47.000000000 -0800
@@ -47,7 +47,6 @@
 #include <asm/delay.h>
 #include <asm/desc.h>
 #include <asm/irq.h>
-#include <mach_apic.h>
 
 /*
  * Linux has a controller-independent x86 interrupt architecture.
@@ -970,6 +969,8 @@ static int irq_affinity_write_proc(struc
 #endif
 
 #ifdef CONFIG_HOTPLUG_CPU
+#include <mach_apic.h>
+
 static void migrate_irqs_from(int cpu)
 {
 	cpumask_t mask;

_
